%define         uid       36
%define         username  ngircd
%define         homedir   /tmp
%define         gecos     "Next Generation IRC Daemon"

Name:           ngircd
Version:        0.12.1
Release:        2%{?dist}
Summary:        Next Generation IRC Daemon
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://ngircd.barton.de/
Source0:        ftp://ftp.berlios.de/pub/ngircd/ngircd-%{version}.tar.gz
Source1:        ngircd.init
Source2:        ngircd.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  zlib-devel, avahi-compat-howl-devel, tcp_wrappers-devel
BuildRequires:  libident-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
Requires(pre):  fedora-usermgmt
Requires(postun): fedora-usermgmt


%description
ngIRCd is a free open source daemon for Internet Relay Chat (IRC), 
developed under the GNU General Public License (GPL). It's written from 
scratch and is not based upon the original IRCd like many others.

%prep
%setup -q

%build
%configure \
	--with-syslog \
	--with-zlib \
	--with-epoll \
	--with-zeroconf \
	--with-tcp-wrappers \
	--with-ident 

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/ngircd
install -D -m 660 %{SOURCE2} %{buildroot}%{_sysconfdir}/ngircd.conf
touch  %{buildroot}%{_sysconfdir}/ngircd.motd
rm -rf %{buildroot}%{_docdir}/ngircd
mkdir -p %{buildroot}%{_localstatedir}/run/ngircd

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/fedora-groupadd %uid -r %username &>/dev/null || :
/usr/sbin/fedora-useradd  %uid -r -s /sbin/nologin -d %homedir -M          \
                               -c '%gecos' -g %username %username &>/dev/null || :

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add ngircd

%preun
if [ $1 = 0 ]; then
        /sbin/service ngircd stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del ngircd
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service ngircd condrestart >/dev/null 2>&1 || :
fi
test "$1" != 0 || /usr/sbin/fedora-userdel  %username &>/dev/null || :
test "$1" != 0 || /usr/sbin/fedora-groupdel %username &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README doc/*
%config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.conf
%ghost %config(noreplace) %attr(660, root, ngircd) %{_sysconfdir}/ngircd.motd
%{_initrddir}/ngircd
%{_sbindir}/ngircd
%{_mandir}/man5/ngircd.conf*
%{_mandir}/man8/ngircd.8*
%dir %attr(775, root, ngircd) %{_localstatedir}/run/ngircd/


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Andreas Thienemann <andreas@bawue.net> 0.12.1-1
- Updated to 0.12.1
- Updated configuration sample

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.11.0-2
- fix license tag

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> 0.11.0-1
- Updated to 0.11.0

* Tue Nov 20 2007 Andreas Thienemann <andreas@bawue.net> 0.10.3-1
- Rebased to 0.10.3
- Incorporated patches from fw@strlen.de

* Thu Apr 26 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-3
- Removed libident requirement
- Added patch from fw fixing server connections

* Mon Apr 02 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-2
- Added ngirc user

* Sat Mar 31 2007 Andreas Thienemann <andreas@bawue.net> 0.10.1-1
- Initial package

